------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(247, 516)
local Player_1 = CppScriptMgr:AddSimplePlayer(1065416, 247, 499, "BaiWu", 0, 0)
Player_1:RunTo(233, 514)
Player_1:SetCtrlMapView(1)
Player_1:SetDir(1)
local Player_2 = CppScriptMgr:AddPlayer(200, 254, 498, "", 0, 0)
Player_2:RunTo(241, 508)
Player_2:SetDir(1)
local Player_3 = CppScriptMgr:AddPlayer(200, 246, 493, "", 0, 0)
Player_3:RunTo(236, 503)
Player_3:SetDir(1)
local Player_4 = CppScriptMgr:AddPlayer(200, 244, 492, "", 0, 0)
Player_4:RunTo(231, 502)
Player_4:SetDir(1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Help! Help!", 1500)
CppScriptMgr:WaitMilSec(220)
local Player_5 = CppScriptMgr:QueryHero()
Player_5:SetPos(232, 532)
Player_5:SetHide(1)
CppScriptMgr:WaitMilSec(1280)
Player_3:Say("Haha! You can`t escape!", 1500)
Player_1:SetCtrlMapView(0)
Player_5:JumpTo(236, 513)
Player_5:SetHide(0)
CppScriptMgr:WaitMilSec(900)
Player_1:SetDir(6)
CppScriptMgr:WaitMilSec(1210)
Player_5:Say("Stop it!", 1500)
Player_5:SetAction(101)
CppScriptMgr:WaitMilSec(2330)
Player_3:Say("Another one walks to their doom! Hehe!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_5:Say("Don`t overestimate yourself!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 241, 508, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 236, 503, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 231, 502, 33, 1, 1, 1)
Player_5:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Thank you for saving me! I am Bai Wu, a secret agent from Cloud Island.", 1000)
Player_5:SetDir(2)
CppScriptMgr:WaitMilSec(80)
Player_1:SetAction(200)
CppScriptMgr:WaitMilSec(240)
Player_2:SetAction(330)
Player_2:SetHide(1)
Player_3:SetAction(330)
Player_3:SetHide(1)
Player_4:SetAction(330)
Player_4:SetHide(1)
CppScriptMgr:WaitMilSec(670)
Player_1:Say("You must be the noble one brought by Si Wuxie to save our island!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_5:Say("You know me? You must have clues about the curse, right?", 1500)
Player_5:SetAction(200)
CppScriptMgr:WaitMilSec(1950)
Player_1:SetAction(101)
Player_1:Say("Exactly! Please come with me to see Elder Mo!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_5:Say("Let`s go!", 1500)
CppScriptMgr:WaitMilSec(2000)